My sites
All operations require authentication.
List websitesAlpha
Returns the websites of the service.
Path parameters
Service ID
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification of the website
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": null, "themes": null } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": null, "media": null, "pages": null, "plugins": null, "posts": null, "tags": null, "themes": null, "users": null, "wholeDatabase": null } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } } }]
Get a websiteAlpha
Returns the CMS and PHP versions, domains, SFTP and database access, disk usage and planned update of the website.
Path parameters
Service ID
Website ID
Response
Computed hash used to control concurrent modification requests
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification of the website
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}
Create a websiteAlpha
Creates a WordPress website, imports one from its admin URL and credentials, or clones a website of the same service. The admin login of a created website must be an email address. Creation is asynchronous: follow its task in currentTasks.
Path parameters
Service ID
Request body (required)
Target specification of the website
Response
Computed hash used to control concurrent modification requests
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification of the website
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}
Flush the website CDNAlpha
Flushes the CDN cache of the website and returns the task.
Path parameters
Service ID
Website ID
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ flushCDN \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Reset the database passwordAlpha
Generates a new database password and sets it on the database and in the WordPress configuration. Use it to revoke a leaked password: the new password is not returned.
Path parameters
Service ID
Website ID
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ resetDatabasePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Reset the PhpMyAdmin passwordAlpha
Sets a new PhpMyAdmin password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.
Path parameters
Service ID
Website ID
Request body (required)
New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ resetPhpMyAdminPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Reset the SFTP passwordAlpha
Sets a new SFTP password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.
Path parameters
Service ID
Website ID
Request body (required)
New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ resetSftpPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Export a website backupAlpha
Exports a full backup of the website, files and database, and returns the task. The download links are sent by email.
Path parameters
Service ID
Website ID
Response
Errors that occurred on the task
Identifier of the current task
Link to the task details
Current global status of the current task
ERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the current task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}
Get the download links of a backup of a websiteBeta
Returns a backup of the website with its download links, one for its files and one for its database, available once the backup is READY. Backups are listed in the current state of the website.
Path parameters
Service ID
Website ID
Query parameters
Identifier of the backup, as listed in the current state of the website
Response
URL to download the database of the backup, null while the backup is being created
Date after which the backup is deleted, null while the backup is being created
URL to download the files of the backup, null while the backup is being created
Unique identifier of the backup
Size of the backup, in bytes, null while the backup is being created
Date the backup was triggered at
Status of the backup
CREATINGREADYWhether the backup was taken automatically or requested by the customer
AUTOMATICMANUALExample uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ backupDownload \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseDownloadURL": "string", "expiresAt": "2024-01-01T12:00:00Z", "filesDownloadURL": "string", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC"}
Delete a websiteAlpha
Permanently deletes the website, with its files and database.
Path parameters
Service ID
Website ID
Response
Computed hash used to control concurrent modification requests
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification of the website
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}
Update a websiteAlpha
Updates the domains, primary FQDN or planned update of the website. It can also flush its CDN, or reset its database, SFTP or PhpMyAdmin password.
Path parameters
Service ID
Website ID
Request body (required)
Target specification to edit a website
Response
Computed hash used to control concurrent modification requests
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification of the website
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}
Create an application password on the websiteBeta
Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.
Path parameters
Service ID
Website ID
Response
Login of the user the application password belongs to
Application password to authenticate as login on the CMS API, returned only in this response
Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ website/ {websiteId}/ applicationPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "password": "string"}